> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.shipbob.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.shipbob.com/_mcp/server.

#   Get All Inventory Levels


GET https://api.shipbob.com/2.0/inventory-level

Reference: https://developer.shipbob.com/v2.0/api/inventory/get-all-inventory-levels

## Authentication

- `Authorization` header (bearer token, required) — Authentication using Personal Access Token (PAT) token
- `Authorization` header (bearer token, required) — OAuth2 authentication using JWT tokens

## Servers

- `https://api.shipbob.com` (https://api.shipbob.com, default)
- `https://sandbox-api.shipbob.com` (https://sandbox-api.shipbob.com)

## Request

### Query parameters

- `SearchBy` (string, optional)
- `InventoryIds` (string, optional)
- `IsActive` (boolean, optional)
- `IsDigital` (boolean, optional)
- `PageSize` (string, optional)
- `SortBy` (string, optional)

## Response

### 200

OK

- `first` (string, optional, nullable)
- `items` (list of object, optional, nullable)
  - `inventory_id` (integer, optional)
  - `name` (string, optional, nullable)
  - `sku` (string, optional, nullable)
  - `total_awaiting_quantity` (integer, optional)
  - `total_backordered_quantity` (integer, optional)
  - `total_committed_quantity` (integer, optional)
  - `total_exception_quantity` (integer, optional)
  - `total_fulfillable_quantity` (integer, optional)
  - `total_internal_transfer_quantity` (integer, optional)
  - `total_on_hand_quantity` (integer, optional)
  - `total_sellable_quantity` (integer, optional)
- `last` (string, optional, nullable)
- `next` (string, optional, nullable)
- `prev` (string, optional, nullable)

## Errors

### 400 Bad Request Error

Bad Request

- `detail` (string, optional, nullable)
- `instance` (string, optional, nullable)
- `status` (integer, optional, nullable)
- `title` (string, optional, nullable)
- `type` (string, optional, nullable)

### 401 Unauthorized Error

Unauthorized

- `detail` (string, optional, nullable)
- `instance` (string, optional, nullable)
- `status` (integer, optional, nullable)
- `title` (string, optional, nullable)
- `type` (string, optional, nullable)

### 403 Forbidden Error

Forbidden

- `detail` (string, optional, nullable)
- `instance` (string, optional, nullable)
- `status` (integer, optional, nullable)
- `title` (string, optional, nullable)
- `type` (string, optional, nullable)

### 500 Internal Server Error

Internal Server Error

- `any`

### 503 Service Unavailable Error

Service Unavailable

- `any`

## Examples

**Response**

```json
{
  "first": "string",
  "items": [
    {
      "inventory_id": 0,
      "name": "string",
      "sku": "string",
      "total_awaiting_quantity": 0,
      "total_backordered_quantity": 0,
      "total_committed_quantity": 0,
      "total_exception_quantity": 0,
      "total_fulfillable_quantity": 0,
      "total_internal_transfer_quantity": 0,
      "total_on_hand_quantity": 0,
      "total_sellable_quantity": 0
    }
  ],
  "last": "string",
  "next": "string",
  "prev": "string"
}
```

**SDK Code**

```python Inventory_getAllInventoryLevels_example
import requests

url = "https://api.shipbob.com/2.0/inventory-level"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Inventory_getAllInventoryLevels_example
const url = 'https://api.shipbob.com/2.0/inventory-level';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Inventory_getAllInventoryLevels_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.shipbob.com/2.0/inventory-level"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Inventory_getAllInventoryLevels_example
require 'uri'
require 'net/http'

url = URI("https://api.shipbob.com/2.0/inventory-level")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Inventory_getAllInventoryLevels_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.shipbob.com/2.0/inventory-level")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Inventory_getAllInventoryLevels_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.shipbob.com/2.0/inventory-level', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Inventory_getAllInventoryLevels_example
using RestSharp;

var client = new RestClient("https://api.shipbob.com/2.0/inventory-level");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Inventory_getAllInventoryLevels_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2.0/inventory-level")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```